summaryrefslogtreecommitdiffstats
path: root/backup.sh
diff options
context:
space:
mode:
authorKyle K <kylek389@gmail.com>2012-05-26 00:22:05 -0500
committerKamil Kaminski <kyle@kkaminsk.com>2012-05-26 00:22:05 -0500
commit5c961dc755954d1a2f90248c81aff725cf38466c (patch)
tree73aebdd6101d798355149d6499186ef9a2ef866b /backup.sh
downloadscripts-5c961dc755954d1a2f90248c81aff725cf38466c.tar.gz
scripts-5c961dc755954d1a2f90248c81aff725cf38466c.tar.bz2
scripts-5c961dc755954d1a2f90248c81aff725cf38466c.zip
initial commit
Diffstat (limited to 'backup.sh')
-rwxr-xr-xbackup.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/backup.sh b/backup.sh
new file mode 100755
index 0000000..24009d9
--- /dev/null
+++ b/backup.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# notes
+# $0 is visible globally, in functions too
+
+# apparently su -c accepts a command and 1 argument
+CMDL_ARGS=$@
+export CMDL_ARGS
+
+chk_root()
+{
+ if [[ ! $(id -u) -eq 0 ]]; then
+ echo "root user required";
+ # exec works similar to fork()
+ exec su -c "\"$0\" $CMDL_ARGS"
+ exit $?
+ fi
+}
+
+chk_root $@
+date=$(date +%m.%d.%y)
+
+echo "backing up mysql"
+#mysqldump -u root -p drupal > db-drupal-${date}.sql
+
+echo "backing up /srv"
+tar -cvjf http-${date}.tar.bz2 /srv/http
+tar -cvjf git-${date}.tar.bz2 /srv/git
+